GLM_GTX_integer
GTX Extensions (Experimental)

## Typedefs

typedef signed int | sint

## Functions

template<typename genType >
GLM_FUNC_DECL genType | factorial (genType const &x)
GLM_FUNC_DECL unsigned int | floor_log2 (unsigned int x)
GLM_FUNC_DECL int | mod (int x, int y)
GLM_FUNC_DECL uint | mod (uint x, uint y)
GLM_FUNC_DECL uint | nlz (uint x)
GLM_FUNC_DECL int | pow (int x, int y)
GLM_FUNC_DECL uint | pow (uint x, uint y)
GLM_FUNC_DECL int | sqrt (int x)
GLM_FUNC_DECL uint | sqrt (uint x)

## Detailed Description

Add support for integer for core functions.

<glm/gtx/integer.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef signed int sint

32bit signed integer.

From GLM_GTX_integer extension.

Definition at line 80 of file gtx/integer.hpp.

## Function Documentation

GLM_FUNC_DECL genType glm::factorial | ( | genType const & | x | ) |

Return the factorial value of a number (!12 max, integer only) From GLM_GTX_integer extension.

GLM_FUNC_DECL unsigned int glm::floor_log2 | ( | unsigned int | x | ) |

Returns the floor log2 of x.

From GLM_GTX_integer extension.

GLM_FUNC_DECL int glm::mod | ( | int | x,
|  | int | y
| ) |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_integer extension.

GLM_FUNC_DECL uint glm::mod | ( | uint | x,
|  | uint | y
| ) |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_integer extension.

GLM_FUNC_DECL uint glm::nlz | ( | uint | x | ) |

Returns the number of leading zeros.

From GLM_GTX_integer extension.

GLM_FUNC_DECL int glm::pow | ( | int | x,
|  | int | y
| ) |  |

Returns x raised to the y power.

From GLM_GTX_integer extension.

GLM_FUNC_DECL uint glm::pow | ( | uint | x,
|  | uint | y
| ) |  |

Returns x raised to the y power.

From GLM_GTX_integer extension.

GLM_FUNC_DECL int glm::sqrt | ( | int | x | ) |

Returns the positive square root of x.

From GLM_GTX_integer extension.

GLM_FUNC_DECL uint glm::sqrt | ( | uint | x | ) |

Returns the positive square root of x.

From GLM_GTX_integer extension.